Bug 1310292 - Gnome Terminal does not present a shell prompt on Wayland
Gnome Terminal does not present a shell prompt on Wayland
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 22:07 EST by Russel Winder
Modified: 2016-03-13 05:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-13 05:23:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russel Winder 2016-02-19 22:07:42 EST
On a Lenovo ThinkPad T500, Linux 4.5.0-0.rc4-git2.1 boots fine. Logging in to Wayland from GDM works fine. Starting a a gnome-terminal locally or via an ssh connection starts the application, but no shell prompt is presented, making the gnome-terminal unusable.

Xterm works fine.

This problem is specific to T500, on Lenovo ThinkPad X201, Lenovo ThinkPad X1 Carbon and Dell Precision T5400 everything seems to work fine.
Comment 1 Jan Kurik 2016-02-24 10:27:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Russel Winder 2016-03-13 05:23:53 EDT
As at 2016-03-13T09:22 using Rawhide (now F25), with kernels 4.5.0-0.rc7.git2.1.fc25 and 4.5.0-0.rc7.git3.1.fc25 this is no longer a problem.

Note You need to log in before you can comment on or make changes to this bug.